package com.sheep.gamegroup.module.login.controller;

import com.sheep.gamegroup.model.entity.LoginEntity;
import com.sheep.gamegroup.model.entity.UserEntity;

public interface LoginController {

    public final static int PLATFORM_ACCOUNT = 0;
    public final static int PLATFORM_PHONE = 1;
    public final static int PLATFORM_WX = 2;
    public final static int PLATFORM_QQ = 3;

    void whenToLogin(int platform);

    void whenLoginSuccess(int platform, LoginEntity loginResult);

    void whenEditedInfo(LoginEntity entity);

    void whenToRegister();

    void whenGoFindAccount();

    void whenGoValidCaptcha(String phoneNum);

}
